

function ReactShallowRenderer(){
    var ret; 
    var a = {
        render: function(node){
            if(node.vtype === 2){
                return ret = new node.type();
            }else if(node.vtype === 4){
                return ret = node.type();
            }
        }
    };
}